Index: binaries/data/mods/public/simulation/ai/aegis/plan-transport.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/plan-transport.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/plan-transport.js	(Arbeitskopie)
@@ -1,3 +1,6 @@
+var AEGIS = function(m)
+{
+
 /*
  Describes a transport plan
  Constructor assign units (units is an ID array, or an ID), a destionation (position, ingame), and a wanted escort size.
@@ -15,10 +18,10 @@
 // TODO: finish the support of multiple accessibility indexes.
 // TODO: this doesn't check we can actually reach in the init, which we might want?
 
-var TransportPlan = function(gameState, units, destination, allAtOnce, escortSize, onlyIfOK) {
+m.TransportPlan = function(gameState, units, destination, allAtOnce, escortSize, onlyIfOK) {
 	var self = this;
 
-	this.ID = uniqueIDTPlans++;
+	this.ID = m.playerGlobals[PlayerID].uniqueIDTPlans++;
 	
 	var unitsID = [];
 	if (units.length !== undefined)
@@ -26,7 +29,7 @@
 	else
 		unitsID = [units];
 	
-	this.units = EntityCollectionFromIds(gameState, unitsID);
+	this.units = m.EntityCollectionFromIds(gameState, unitsID);
 	this.units.forEach(function (ent) { //}){
 		ent.setMetadata(PlayerID, "tpplan", self.ID);
 		ent.setMetadata(PlayerID, "formerRole", ent.getMetadata(PlayerID, "role"));
@@ -36,8 +39,8 @@
 	this.units.freeze();
 	this.units.registerUpdates();
 
-	debug ("Starting a new plan with ID " +  this.ID + " to " + destination);
-	debug ("units are " + uneval (units));
+	m.debug ("Starting a new plan with ID " +  this.ID + " to " + destination);
+	m.debug ("units are " + uneval (units));
 	
 	this.destination = destination;
 	this.destinationIndex = gameState.ai.accessibility.getAccessValue(destination);
@@ -70,7 +73,7 @@
 };
 
 // count available slots
-TransportPlan.prototype.countFreeSlots = function(onlyTrulyFree)
+m.TransportPlan.prototype.countFreeSlots = function(onlyTrulyFree)
 {
 	var slots = 0;
 	this.transportShips.forEach(function (ent) { //}){
@@ -80,12 +83,12 @@
 	});
 }
 
-TransportPlan.prototype.assignShip = function(gameState, ship)
+m.TransportPlan.prototype.assignShip = function(gameState, ship)
 {
 	ship.setMetadata(PlayerID,"tpplan", this.ID);
 }
 
-TransportPlan.prototype.releaseAll = function(gameState)
+m.TransportPlan.prototype.releaseAll = function(gameState)
 {
 	this.ships.forEach(function (ent) { ent.setMetadata(PlayerID,"tpplan", undefined) });
 	this.units.forEach(function (ent) {
@@ -96,25 +99,25 @@
 	});
 }
 
-TransportPlan.prototype.releaseAllShips = function(gameState)
+m.TransportPlan.prototype.releaseAllShips = function(gameState)
 {
 	this.ships.forEach(function (ent) { ent.setMetadata(PlayerID,"tpplan", undefined) });
 }
 
-TransportPlan.prototype.needTpShips = function()
+m.TransportPlan.prototype.needTpShips = function()
 {
 	if ((this.allAtOnce && this.countFreeSlots() >= this.units.length) || this.transportShips.length > 0)
 		return false;
 	return true;
 }
 
-TransportPlan.prototype.needEscortShips = function()
+m.TransportPlan.prototype.needEscortShips = function()
 {
 	return !((this.onlyIfOK && this.escortShips.length < this.escortSize) || !this.onlyIfOK);
 }
 
 // returns the zone for which we are needing our ships
-TransportPlan.prototype.neededShipsZone = function()
+m.TransportPlan.prototype.neededShipsZone = function()
 {
 	if (!this.seaZone)
 		return false;
@@ -134,7 +137,7 @@
 	> there is the possibility that we'll be moving units on land, but that's basically a restart too, with more clearing.
  Grouping Path is basically the same with "grouping" and we never unboard (unless there is a need to)
  */
-TransportPlan.prototype.carryOn = function(gameState, navalManager)
+m.TransportPlan.prototype.carryOn = function(gameState, navalManager)
 {
 	if (this.state === "unstarted")
 	{
@@ -171,7 +174,7 @@
 		// let's get our index this turn.
 		this.startIndex = unitIndexes[0];
 
-		debug ("plan " +  this.ID + " from " + this.startIndex);
+		m.debug ("plan " +  this.ID + " from " + this.startIndex);
 
 		return true;
 	}
@@ -190,7 +193,7 @@
 			}
 			// we have a path, register the first sea zone.
 			this.seaZone = this.path[1];
-			debug ("Plan " + this.ID + " over seazone " + this.seaZone);
+			m.debug ("Plan " + this.ID + " over seazone " + this.seaZone);
 		}
 		// if we currently have no baoarding spot, try and find one.
 		if (!this.boardingSpot)
@@ -206,10 +209,10 @@
 			var passabilityMap = gameState.getMap();
 			var territoryMap = gameState.ai.territoryMap;
 			var obstructionMask = gameState.getPassabilityClassMask("foundationObstruction") | gameState.getPassabilityClassMask("building-shore");
-			var obstructions = new Map(gameState.sharedScript);
+			var obstructions = new API3.Map(gameState.sharedScript);
 			
 			// wanted map.
-			var friendlyTiles = new Map(gameState.sharedScript);
+			var friendlyTiles = new API3.Map(gameState.sharedScript);
 			
 			for (var j = 0; j < friendlyTiles.length; ++j)
 			{
@@ -248,7 +251,7 @@
 			
 			// we have the spot we want to board at.
 			this.boardingSpot = [x,z];
-			debug ("Plan " + this.ID + " new boarding spot is  " + this.boardingSpot);
+			m.debug ("Plan " + this.ID + " new boarding spot is  " + this.boardingSpot);
 		}
 
 		// if all at once we need to be full, else we just need enough escort ships.
@@ -262,7 +265,7 @@
 			
 			this.garrisonShipID = -1;
 			
-			debug ("Boarding");
+			m.debug ("Boarding");
 			this.state = "boarding";
 		}
 		return true;
@@ -300,12 +303,12 @@
 
 		// check if we need to move our units and ships closer together
 		var stillMoving = false;
-		if (SquareVectorDistance(this.ships.getCentrePosition(),this.boardingSpot) > 1600)
+		if (API3.SquareVectorDistance(this.ships.getCentrePosition(),this.boardingSpot) > 1600)
 		{
 			this.ships.move(this.boardingSpot[0],this.boardingSpot[1]);
 			stillMoving = true;	// wait till ships are in position
 		}
-		if (SquareVectorDistance(this.units.getCentrePosition(),this.boardingSpot) > 1600)
+		if (API3.SquareVectorDistance(this.units.getCentrePosition(),this.boardingSpot) > 1600)
 		{
 			this.units.move(this.boardingSpot[0],this.boardingSpot[1]);
 			stillMoving = true;	// wait till units are in position
@@ -365,10 +368,10 @@
 			var passabilityMap = gameState.getMap();
 			var territoryMap = gameState.ai.territoryMap;
 			var obstructionMask = gameState.getPassabilityClassMask("foundationObstruction") | gameState.getPassabilityClassMask("building-shore");
-			var obstructions = new Map(gameState.sharedScript);
+			var obstructions = new API3.Map(gameState.sharedScript);
 			
 			// wanted map.
-			var friendlyTiles = new Map(gameState.sharedScript);
+			var friendlyTiles = new API3.Map(gameState.sharedScript);
 			
 			var wantedIndex = -1;
 			
@@ -377,7 +380,7 @@
 				this.path.splice(0,2);
 				wantedIndex = this.path[0];
 			} else {
-				debug ("too short at " +uneval(this.path));
+				m.debug ("too short at " +uneval(this.path));
 				return false; // Incomputable
 			}
 			
@@ -431,7 +434,7 @@
 			return false;
 		
 		// check if we need to move ships
-		if (SquareVectorDistance(this.ships.getCentrePosition(),this.unboardingSpot) > 400)
+		if (API3.SquareVectorDistance(this.ships.getCentrePosition(),this.unboardingSpot) > 400)
 		{
 			this.ships.move(this.unboardingSpot[0],this.unboardingSpot[1]);
 		} else {
@@ -447,7 +450,7 @@
 			return false;
 		
 		// check if we need to move ships
-		if (SquareVectorDistance(this.ships.getCentrePosition(),this.unboardingSpot) > 400)
+		if (API3.SquareVectorDistance(this.ships.getCentrePosition(),this.unboardingSpot) > 400)
 		{
 			this.ships.move(this.unboardingSpot[0],this.unboardingSpot[1]);
 		} else {
@@ -455,7 +458,7 @@
 			// TODO: improve on this.
 			if (this.path.length > 1)
 			{
-				debug ("plan " +  this.ID + " going back for more");
+				m.debug ("plan " +  this.ID + " going back for more");
 				// basically reset.
 				delete this.boardingSpot;
 				delete this.unboardingSpot;
@@ -463,10 +466,13 @@
 				this.releaseAllShips();
 				return true;
 			}
-			debug ("plan " +  this.ID + " is finished");
+			m.m.debug ("plan " +  this.ID + " is finished");
 			return false;
 		}
 	}
 
 	return true;
 }
+
+return m;
+}(AEGIS);
Index: binaries/data/mods/public/simulation/ai/aegis/aegis.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/aegis.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/aegis.js	(Arbeitskopie)
@@ -1,28 +1,33 @@
+
+var AEGIS = (function() {
+var m = {};
+
 // "local" global variables for stuffs that will need a unique ID
 // Note that since order of loading is alphabetic, this means this file must go before any other file using them.
-var uniqueIDBOPlans = 0;	// training/building/research plans
-var uniqueIDBases = 1;	// base manager ID. Starts at one because "0" means "no base" on the map
-var uniqueIDTPlans = 1;	// transport plans. starts at 1 because 0 might be used as none.
+m.playerGlobals = [];
+m.g_debugEnabled = false;
 
-function AegisBot(settings) {
-	BaseAI.call(this, settings);
+m.AegisBot = function AegisBot(settings) {
+	API3.BaseAI.call(this, settings);
 
-	Config.updateDifficulty(settings.difficulty);
+	this.Config = new m.Config();
+
+	this.Config.updateDifficulty(settings.difficulty);
 	
 	this.turn = 0;
 
 	this.playedTurn = 0;
-		
-	this.priorities = Config.priorities;
+	
+	this.priorities = this.Config.priorities;
 
 	// this.queues can only be modified by the queue manager or things will go awry.
 	this.queues = {};
 	for (i in this.priorities)
-		this.queues[i] = new Queue();
+		this.queues[i] = new m.Queue();
 
-	this.queueManager = new QueueManager(this.queues, this.priorities);
+	this.queueManager = new m.QueueManager(this.Config, this.queues, this.priorities);
 
-	this.HQ = new HQ();
+	this.HQ = new m.HQ(this.Config);
 
 	this.firstTime = true;
 
@@ -30,34 +35,39 @@
 	
 	this.defcon = 5;
 	this.defconChangeTime = -10000000;
-}
+};
 
-AegisBot.prototype = new BaseAI();
+m.AegisBot.prototype = new API3.BaseAI();
 
-AegisBot.prototype.CustomInit = function(gameState, sharedScript) {
-	
+m.AegisBot.prototype.CustomInit = function(gameState, sharedScript) {
+
+	m.playerGlobals[PlayerID] = {};
+	m.playerGlobals[PlayerID].uniqueIDBOPlans = 0;	// training/building/research plans
+	m.playerGlobals[PlayerID].uniqueIDBases = 1;	// base manager ID. Starts at one because "0" means "no base" on the map
+	m.playerGlobals[PlayerID].uniqueIDTPlans = 1;	// transport plans. starts at 1 because 0 might be used as none.	
+
 	this.HQ.init(gameState,sharedScript.events,this.queues);
-	debug ("Initialized with the difficulty " + Config.difficulty);
+	m.debug ("Initialized with the difficulty " + this.Config.difficulty);
 
-	var ents = gameState.getEntities().filter(Filters.byOwner(PlayerID));
+	var ents = gameState.getEntities().filter(API3.Filters.byOwner(this.player));
 	var myKeyEntities = ents.filter(function(ent) {
 			return ent.hasClass("CivCentre");
 	});
 
 	if (myKeyEntities.length == 0){
-		myKeyEntities = gameState.getEntities().filter(Filters.byOwner(PlayerID));
+		myKeyEntities = gameState.getEntities().filter(API3.Filters.byOwner(this.player));
 	}
 	
-	var filter = Filters.byClass("CivCentre");
-	var enemyKeyEntities = gameState.getEntities().filter(Filters.not(Filters.byOwner(PlayerID))).filter(filter);
+	var filter = API3.Filters.byClass("CivCentre");
+	var enemyKeyEntities = gameState.getEntities().filter(API3.Filters.not(API3.Filters.byOwner(this.player))).filter(filter);
 	
 	if (enemyKeyEntities.length == 0){
-		enemyKeyEntities = gameState.getEntities().filter(Filters.not(Filters.byOwner(PlayerID)));
+		enemyKeyEntities = gameState.getEntities().filter(API3.Filters.not(API3.Filters.byOwner(this.player)));
 	}
 
 	this.myIndex = this.accessibility.getAccessValue(myKeyEntities.toEntityArray()[0].position());
 	
-	this.pathFinder = new aStarPath(gameState, false, true);
+	this.pathFinder = new API3.aStarPath(gameState, false, true);
 	this.pathsToMe = [];
 	this.pathInfo = { "angle" : 0, "needboat" : true, "mkeyPos" : myKeyEntities.toEntityArray()[0].position(), "ekeyPos" : enemyKeyEntities.toEntityArray()[0].position() };
 	
@@ -65,7 +75,7 @@
 	var pos = [this.pathInfo.mkeyPos[0] + 150*Math.cos(this.pathInfo.angle),this.pathInfo.mkeyPos[1] + 150*Math.sin(this.pathInfo.angle)];
 	var path = this.pathFinder.getPath(this.pathInfo.ekeyPos, pos, 2, 2);// uncomment for debug:*/, 300000, gameState);
 
-	//Engine.DumpImage("initialPath" + PlayerID + ".png", this.pathFinder.TotorMap.map, this.pathFinder.TotorMap.width,this.pathFinder.TotorMap.height,255);
+	//Engine.DumpImage("initialPath" + this.player + ".png", this.pathFinder.TotorMap.map, this.pathFinder.TotorMap.width,this.pathFinder.TotorMap.height,255);
 	
 	if (path !== undefined && path[1] !== undefined && path[1] == false) {
 		// path is viable and doesn't require boating.
@@ -80,7 +90,8 @@
 	this.chooseRandomStrategy();
 }
 
-AegisBot.prototype.OnUpdate = function(sharedScript) {
+m.AegisBot.prototype.OnUpdate = function(sharedScript) {
+
 	if (this.gameFinished){
 		return;
 	}
@@ -120,7 +131,7 @@
 			{
 				if (this.pathInfo.needboat)
 				{
-					debug ("Assuming this is a water map");
+					m.debug ("Assuming this is a water map");
 					this.HQ.waterMap = true;
 				}
 				delete this.pathFinder;
@@ -132,27 +143,27 @@
 		var cityPhase = this.gameState.cityPhase();
 		// try going up phases.
 		// TODO: softcode this.
-		if (this.gameState.canResearch(townPhase,true) && this.gameState.getTimeElapsed() > (Config.Economy.townPhase*1000) && this.gameState.getPopulation() > 40
+		if (this.gameState.canResearch(townPhase,true) && this.gameState.getTimeElapsed() > (this.Config.Economy.townPhase*1000) && this.gameState.getPopulation() > 40
 			&& this.gameState.findResearchers(townPhase,true).length != 0 && this.queues.majorTech.length() === 0
-			&& this.gameState.getOwnEntities().filter(Filters.byClass("Village")).length > 5)
+			&& this.gameState.getOwnEntities().filter(API3.Filters.byClass("Village")).length > 5)
 		{
 			this.queueManager.pauseQueue("villager", true);
 			this.queueManager.pauseQueue("citizenSoldier", true);
 			this.queueManager.pauseQueue("house", true);
-			this.queues.majorTech.addItem(new ResearchPlan(this.gameState, townPhase,0,-1,true));	// we rush the town phase.
-			debug ("Trying to reach town phase");
+			this.queues.majorTech.addItem(new m.ResearchPlan(this.gameState, townPhase,0,-1,true));	// we rush the town phase.
+			m.debug ("Trying to reach town phase");
 		}
-		else if (this.gameState.canResearch(cityPhase,true) && this.gameState.getTimeElapsed() > (Config.Economy.cityPhase*1000)
+		else if (this.gameState.canResearch(cityPhase,true) && this.gameState.getTimeElapsed() > (this.Config.Economy.cityPhase*1000)
 				&& this.gameState.getOwnEntitiesByRole("worker").length > 85
 				&& this.gameState.findResearchers(cityPhase, true).length != 0 && this.queues.majorTech.length() === 0) {
-			debug ("Trying to reach city phase");
-			this.queues.majorTech.addItem(new ResearchPlan(this.gameState, cityPhase));
+			m.debug ("Trying to reach city phase");
+			this.queues.majorTech.addItem(new m.ResearchPlan(this.gameState, cityPhase));
 		}
 		// defcon cooldown
 		if (this.defcon < 5 && this.gameState.timeSinceDefconChange() > 20000)
 		{
 			this.defcon++;
-			debug ("updefconing to " +this.defcon);
+			m.debug ("updefconing to " +this.defcon);
 			if (this.defcon >= 4 && this.HQ.hasGarrisonedFemales)
 				this.HQ.ungarrisonAll(this.gameState);
 		}
@@ -210,24 +221,24 @@
 	this.turn++;
 };
 
-AegisBot.prototype.chooseRandomStrategy = function()
+m.AegisBot.prototype.chooseRandomStrategy = function()
 {
 	// deactivated for now.
 	this.strategy = "normal";
 	// rarely and if we can assume it's not a water map.
-	if (!this.pathInfo.needboat && 0)//Math.random() < 0.2 && Config.difficulty == 2)
+	if (!this.pathInfo.needboat && 0)//Math.random() < 0.2 && this.Config.difficulty == 2)
 	{
 		this.strategy = "rush";
 		// going to rush.
 		this.HQ.targetNumWorkers = 0;
-		Config.Economy.townPhase = 480;
-		Config.Economy.cityPhase = 900;
-		Config.Economy.farmsteadStartTime = 600;
-		Config.Economy.femaleRatio = 0;	// raise it since we'll want to rush age 2.
+		this.Config.Economy.townPhase = 480;
+		this.Config.Economy.cityPhase = 900;
+		this.Config.Economy.farmsteadStartTime = 600;
+		this.Config.Economy.femaleRatio = 0;	// raise it since we'll want to rush age 2.
 	}
 };
 
-/*AegisBot.prototype.Deserialize = function(data, sharedScript)
+/*m.AegisBot.prototype.Deserialize = function(data, sharedScript)
 {
 };
 
@@ -237,21 +248,24 @@
 	return {};
 };*/
 
-function debug(output){
-	if (Config.debug){
+m.debug = function(output){
+	if (m.g_debugEnabled){
 		if (typeof output === "string"){
 			warn(output);
 		}else{
 			warn(uneval(output));
 		}
 	}
-}
+};
 
-function copyPrototype(descendant, parent) {
+m.copyPrototype = function(descendant, parent) {
     var sConstructor = parent.toString();
     var aMatch = sConstructor.match( /\s*function (.*)\(/ );
     if ( aMatch != null ) { descendant.prototype[aMatch[1]] = parent; }
     for (var m in parent.prototype) {
         descendant.prototype[m] = parent.prototype[m];
     }
-}
+};
+
+return m;
+}());
Index: binaries/data/mods/public/simulation/ai/aegis/queueplan-building.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/queueplan-building.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/queueplan-building.js	(Arbeitskopie)
@@ -1,10 +1,13 @@
-var ConstructionPlan = function(gameState, type, metadata, startTime, expectedTime, position) {
+var AEGIS = function(m)
+{
+
+m.ConstructionPlan = function(gameState, type, metadata, startTime, expectedTime, position) {
 	this.type = gameState.applyCiv(type);
 	this.position = position;
 
 	this.metadata = metadata;
 
-	this.ID = uniqueIDBOPlans++;
+	this.ID = m.playerGlobals[PlayerID].uniqueIDBOPlans++;
 
 	this.template = gameState.getTemplate(this.type);
 	if (!this.template) {
@@ -12,7 +15,7 @@
 	}
 	
 	this.category = "building";
-	this.cost = new Resources(this.template.cost());
+	this.cost = new API3.Resources(this.template.cost());
 	this.number = 1; // The number of buildings to build
 	
 	if (!startTime)
@@ -28,13 +31,13 @@
 };
 
 // return true if we willstart amassing resource for this plan
-ConstructionPlan.prototype.isGo = function(gameState) {
+m.ConstructionPlan.prototype.isGo = function(gameState) {
 	return (gameState.getTimeElapsed() > this.startTime);
 };
 
 // checks other than resource ones.
 // TODO: change this.
-ConstructionPlan.prototype.canStart = function(gameState) {
+m.ConstructionPlan.prototype.canStart = function(gameState) {
 	if (gameState.buildingsBuilt > 0)
 		return false;
 	
@@ -51,7 +54,7 @@
 	return (builders.length != 0);
 };
 
-ConstructionPlan.prototype.start = function(gameState) {
+m.ConstructionPlan.prototype.start = function(gameState) {
 	
 	var builders = gameState.findBuilders(this.type).toEntityArray();
 
@@ -63,11 +66,11 @@
 	if (!pos){
 		if (this.template.hasClass("Naval"))
 			gameState.ai.HQ.dockFailed = true;
-		debug("No room to place " + this.type);
+		m.debug("No room to place " + this.type);
 		return;
 	}
 	if (this.template.hasClass("Naval"))
-		debug (pos);
+		m.debug (pos);
 	gameState.buildingsBuilt++;
 
 	if (gameState.getTemplate(this.type).buildCategory() === "Dock")
@@ -80,20 +83,20 @@
 		builders[0].construct(this.type, pos.x, pos.z, pos.angle, this.metadata);
 };
 
-ConstructionPlan.prototype.getCost = function() {
-	var costs = new Resources();
+m.ConstructionPlan.prototype.getCost = function() {
+	var costs = new API3.Resources();
 	costs.add(this.cost);
 	return costs;
 };
 
-ConstructionPlan.prototype.findGoodPosition = function(gameState) {
+m.ConstructionPlan.prototype.findGoodPosition = function(gameState) {
 	var template = gameState.getTemplate(this.type);
 
 	var cellSize = gameState.cellSize; // size of each tile
 
 	// First, find all tiles that are far enough away from obstructions:
 
-	var obstructionMap = Map.createObstructionMap(gameState,0, template);
+	var obstructionMap = m.createObstructionMap(gameState,0, template);
 	
 	//obstructionMap.dumpIm(template.buildCategory() + "_obstructions_pre.png");
 
@@ -104,7 +107,7 @@
 
 	// Compute each tile's closeness to friendly structures:
 
-	var friendlyTiles = new Map(gameState.sharedScript);
+	var friendlyTiles = new API3.Map(gameState.sharedScript);
 	
 	var alreadyHasHouses = false;
 
@@ -229,3 +232,7 @@
 		"angle" : angle
 	};
 };
+
+
+return m;
+}(AEGIS);
Index: binaries/data/mods/public/simulation/ai/aegis/entity-extend.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/entity-extend.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/entity-extend.js	(Arbeitskopie)
@@ -1,5 +1,8 @@
+var AEGIS = function(m)
+{
+
 // returns some sort of DPS * health factor. If you specify a class, it'll use the modifiers against that class too.
-function getMaxStrength(ent, againstClass)
+m.getMaxStrength = function(ent, againstClass)
 {
 	var strength = 0.0;
 	var attackTypes = ent.attackTypes();
@@ -61,3 +64,6 @@
 	}
 	return strength * hp;
 };
+
+return m;
+}(AEGIS);
Index: binaries/data/mods/public/simulation/ai/aegis/config.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/config.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/config.js	(Arbeitskopie)
@@ -1,6 +1,11 @@
-// Baseconfig is the highest difficulty.
-var baseConfig = {
-	"Military" : {
+var AEGIS = function(m)
+{
+
+m.Config = function() {
+	this.debug = false;	// 0 is sandbox, 1 is easy, 2 is medium, 3 is hard, 4 is very hard.
+	this.difficulty = 2;	// overriden by the GUI
+
+	this.Military = {
 		"fortressLapseTime" : 540, // Time to wait between building 2 fortresses
 		"defenceBuildingTime" : 600, // Time to wait before building towers or fortresses
 		"attackPlansStartTime" : 0,	// time to wait before attacking. Start as soon as possible (first barracks)
@@ -8,8 +13,8 @@
 		"popForBarracks1" : 15,
 		"popForBarracks2" : 95,
 		"timeForBlacksmith" : 900,
-	},
-	"Economy" : {
+	};
+	this.Economy = {
 		"townPhase" : 180,	// time to start trying to reach town phase (might be a while after. Still need the requirements + ress )
 		"cityPhase" : 840,	// time to start trying to reach city phase
 		"popForMarket" : 80,
@@ -19,19 +24,21 @@
 		"targetNumBuilders" : 1.5, // Base number of builders per foundation.
 		"femaleRatio" : 0.4, // percent of females among the workforce.
 		"initialFields" : 2
-	},
+	};
 	
 	// Note: attack settings are set directly in attack_plan.js
 	
 	// defence
-	"Defence" : {
+	this.Defence =
+	{
 		"defenceRatio" : 5,	// see defence.js for more info.
 		"armyCompactSize" : 700,	// squared. Half-diameter of an army.
 		"armyBreakawaySize" : 900  // squared.
-	},
+	};
 	
 	// military
-	"buildings" : {
+	this.buildings = 
+	{
 		"moderate" : {
 			"default" : [ "structures/{civ}_barracks" ]
 		},
@@ -51,10 +58,11 @@
 			"default" : [ "structures/{civ}_fortress" ],
 			"celt" : [ "structures/{civ}_fortress_b", "structures/{civ}_fortress_g" ]
 		}
-	},
+	};
 
 	// qbot
-	"priorities" : {  // Note these are dynamic, you are only setting the initial values
+	this.priorities = 
+	{  // Note these are dynamic, you are only setting the initial values
 		"house" : 350,
 		"villager" : 40,
 		"citizenSoldier" : 60,
@@ -67,49 +75,46 @@
 		"majorTech" : 700,
 		"minorTech" : 50,
 		"civilCentre" : 400
-	},
-	"difficulty" : 2,	// 0 is sandbox, 1 is easy, 2 is medium, 3 is hard, 4 is very hard.
-	"debug" : false
+	};
 };
 
-var Config = {
-	"debug": false,
-	"difficulty" : 2,	// overriden by the GUI
-	updateDifficulty: function(difficulty)
+//Config.prototype = new BaseConfig();
+
+m.Config.prototype.updateDifficulty = function(difficulty)
+{
+	this.difficulty = difficulty;
+	// changing settings based on difficulty.
+	if (this.difficulty === 1)
 	{
-		Config.difficulty = difficulty;
-		// changing settings based on difficulty.
-		if (Config.difficulty === 1)
-		{
-			Config.Military.defenceBuildingTime = 1200;
-			Config.Military.attackPlansStartTime = 960;
-			Config.Military.popForBarracks1 = 35;
-			Config.Military.popForBarracks2 = 150;	// shouldn't reach it
-			Config.Military.popForBlacksmith = 150;	// shouldn't reach it
+		this.Military.defenceBuildingTime = 1200;
+		this.Military.attackPlansStartTime = 960;
+		this.Military.popForBarracks1 = 35;
+		this.Military.popForBarracks2 = 150;	// shouldn't reach it
+		this.Military.popForBlacksmith = 150;	// shouldn't reach it
 
-			Config.Economy.cityPhase = 1800;
-			Config.Economy.popForMarket = 80;
-			Config.Economy.techStartTime = 600;
-			Config.Economy.femaleRatio = 0.6;
-			Config.Economy.initialFields = 1;
-			// Config.Economy.targetNumWorkers will be set by AI scripts.
-		}
-		else if (Config.difficulty === 0)
-		{
-			Config.Military.defenceBuildingTime = 450;
-			Config.Military.attackPlansStartTime = 9600000;	// never
-			Config.Military.popForBarracks1 = 60;
-			Config.Military.popForBarracks2 = 150;	// shouldn't reach it
-			Config.Military.popForBlacksmith = 150;	// shouldn't reach it
+		this.Economy.cityPhase = 1800;
+		this.Economy.popForMarket = 80;
+		this.Economy.techStartTime = 600;
+		this.Economy.femaleRatio = 0.6;
+		this.Economy.initialFields = 1;
+		// Config.Economy.targetNumWorkers will be set by AI scripts.
+	}
+	else if (this.difficulty === 0)
+	{
+		this.Military.defenceBuildingTime = 450;
+		this.Military.attackPlansStartTime = 9600000;	// never
+		this.Military.popForBarracks1 = 60;
+		this.Military.popForBarracks2 = 150;	// shouldn't reach it
+		this.Military.popForBlacksmith = 150;	// shouldn't reach it
 
-			Config.Economy.cityPhase = 240000;
-			Config.Economy.popForMarket = 200;
-			Config.Economy.techStartTime = 1800;
-			Config.Economy.femaleRatio = 0.2;
-			Config.Economy.initialFields = 1;
-			// Config.Economy.targetNumWorkers will be set by AI scripts.
-		}
+		this.Economy.cityPhase = 240000;
+		this.Economy.popForMarket = 200;
+		this.Economy.techStartTime = 1800;
+		this.Economy.femaleRatio = 0.2;
+		this.Economy.initialFields = 1;
+		// Config.Economy.targetNumWorkers will be set by AI scripts.
 	}
 };
 
-Config.__proto__ = baseConfig;
+return m;
+}(AEGIS);
Index: binaries/data/mods/public/simulation/ai/aegis/queueplan-training.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/queueplan-training.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/queueplan-training.js	(Arbeitskopie)
@@ -1,15 +1,18 @@
-var TrainingPlan = function(gameState, type, metadata, number, startTime, expectedTime, maxMerge) {
+var AEGIS = function(m)
+{
+
+m.TrainingPlan = function(gameState, type, metadata, number, startTime, expectedTime, maxMerge) {
 	this.type = gameState.applyCiv(type);
 	this.metadata = metadata;
 
-	this.ID = uniqueIDBOPlans++;
+	this.ID = m.playerGlobals[PlayerID].uniqueIDBOPlans++;
 	
 	this.template = gameState.getTemplate(this.type);
 	if (!this.template)
 		return false;
 
 	this.category = "unit";
-	this.cost = new Resources(this.template.cost(), this.template._template.Cost.Population);
+	this.cost = new API3.Resources(this.template.cost(), this.template._template.Cost.Population);
 	if (!number)
 		this.number = 1;
 	else
@@ -33,11 +36,11 @@
 };
 
 // return true if we willstart amassing resource for this plan
-TrainingPlan.prototype.isGo = function(gameState) {
+m.TrainingPlan.prototype.isGo = function(gameState) {
 	return (gameState.getTimeElapsed() > this.startTime);
 };
 
-TrainingPlan.prototype.canStart = function(gameState) {
+m.TrainingPlan.prototype.canStart = function(gameState) {
 	if (this.invalidTemplate)
 		return false;
 
@@ -48,7 +51,7 @@
 	return (trainers.length != 0);
 };
 
-TrainingPlan.prototype.start = function(gameState) {
+m.TrainingPlan.prototype.start = function(gameState) {
 	//warn("Executing TrainingPlan " + uneval(this));
 	var self = this;
 	var trainers = gameState.findTrainers(this.type).toEntityArray();
@@ -72,15 +75,19 @@
 	}
 };
 
-TrainingPlan.prototype.getCost = function(){
-	var multCost = new Resources();
+m.TrainingPlan.prototype.getCost = function(){
+	var multCost = new API3.Resources();
 	multCost.add(this.cost);
 	multCost.multiply(this.number);
 	return multCost;
 };
 
-TrainingPlan.prototype.addItem = function(amount){
+m.TrainingPlan.prototype.addItem = function(amount){
 	if (amount === undefined)
 		amount = 1;
 	this.number += amount;
 };
+
+
+return m;
+}(AEGIS);
